resource_rules:
  issues:
    rules:
      - name: Randomly assign to Threat Insights Frontend engineer to verify
        conditions:
          state: opened
          labels:
            - "group::threat insights"
            - frontend
            - "workflow::verification"
          ruby: resource[:assignees].empty?
        actions:
          comment: |
            This issue is ready to be verified and according to our [verification process](https://about.gitlab.com/handbook/engineering/development/protect/planning/#verification)
            we need your help with this activity.

            #{threat_insights_fe}, would you mind taking a look if this issue can be verified on production and close this issue?

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/threat-insights/verification.yml).

            /assign #{threat_insights_fe}
      - name: Randomly assign to Threat Insights Backend engineer to verify
        conditions:
          state: opened
          labels:
            - "group::threat insights"
            - backend
            - "workflow::verification"
          ruby: resource[:assignees].empty?
        actions:
          comment: |
            This issue is ready to be verified and according to our [verification process](https://about.gitlab.com/handbook/engineering/development/protect/planning/#verification)
            we need your help with this activity.

            #{threat_insights_be}, would you mind taking a look if this issue can be verified on production and close this issue?

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/threat-insights/verification.yml).

            /assign #{threat_insights_be}
